Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../../_virtual/_rolldown/runtime.cjs");
const require_safe_custom_element = require("../../shared/safe-custom-element.cjs");
const require_index = require("../../shared/tailwind-element/index.cjs");
const require_decorate = require("../../_virtual/_@oxc-project_runtime@0.127.0/helpers/decorate.cjs");
const require_style = require("./style.css?inline.cjs");
let lit = require("lit");
let lit_decorators_js = require("lit/decorators.js");
let tailwind_variants = require("tailwind-variants");
//#region src/components/lukso-dropdown-option/index.ts
var LuksoDropdownOption = class LuksoDropdownOption extends require_index.TailwindStyledElement(require_style.default) {
	constructor(..._args) {
		super(..._args);
		this.isReadonly = false;
		this.isDisabled = false;
		this.isSelected = false;
		this.isActive = false;
		this.isGroup = false;
		this.size = "large";
		this.styles = (0, tailwind_variants.tv)({
			base: `text-neutral-20 cursor-pointer select-none
      whitespace-nowrap flex items-center truncate gap-2`,
			variants: {
				isSelected: { true: "bg-neutral-95" },
				isActive: { true: "bg-neutral-98" },
				isGroup: { true: "" },
				size: {
					small: "paragraph-inter-12-regular rounded-4 px-2 min-h-7",
					medium: "paragraph-inter-14-regular rounded-8 px-3 min-h-[38px]",
					large: "paragraph-inter-14-regular rounded-8 px-3 min-h-[38px]",
					"x-large": ""
				},
				isDisabled: { true: "opacity-60 cursor-not-allowed" },
				isReadonly: {
					true: "cursor-not-allowed",
					false: "hover:bg-neutral-98"
				}
			},
			compoundVariants: [
				{
					isGroup: true,
					size: "small",
					class: "pl-3"
				},
				{
					isGroup: true,
					size: "medium",
					class: "pl-4"
				},
				{
					isGroup: true,
					size: "large",
					class: "pl-4"
				},
				{
					isReadonly: false,
					isSelected: true,
					class: "hover:bg-neutral-95"
				}
			]
		});
	}
	render() {
		return lit.html`<div class="${this.styles({
			isSelected: this.isSelected,
			isActive: this.isActive,
			size: this.size,
			isGroup: this.isGroup,
			isDisabled: this.isDisabled,
			isReadonly: this.isReadonly
		})}">
      <slot></slot>
    </div>`;
	}
};
require_decorate.__decorate([(0, lit_decorators_js.property)({
	type: Boolean,
	attribute: "is-readonly"
})], LuksoDropdownOption.prototype, "isReadonly", void 0);
require_decorate.__decorate([(0, lit_decorators_js.property)({
	type: Boolean,
	attribute: "is-disabled"
})], LuksoDropdownOption.prototype, "isDisabled", void 0);
require_decorate.__decorate([(0, lit_decorators_js.property)({
	type: Boolean,
	attribute: "is-selected"
})], LuksoDropdownOption.prototype, "isSelected", void 0);
require_decorate.__decorate([(0, lit_decorators_js.property)({
	type: Boolean,
	attribute: "is-active"
})], LuksoDropdownOption.prototype, "isActive", void 0);
require_decorate.__decorate([(0, lit_decorators_js.property)({
	type: Boolean,
	attribute: "is-group"
})], LuksoDropdownOption.prototype, "isGroup", void 0);
require_decorate.__decorate([(0, lit_decorators_js.property)({ type: String })], LuksoDropdownOption.prototype, "size", void 0);
LuksoDropdownOption = require_decorate.__decorate([require_safe_custom_element.safeCustomElement("lukso-dropdown-option")], LuksoDropdownOption);
//#endregion
Object.defineProperty(exports, "LuksoDropdownOption", {
	enumerable: true,
	get: function() {
		return LuksoDropdownOption;
	}
});
